from turtle import *

def triequ(cote):
    for compteur in range(3):
        forward(cote)
        left(120)

def couleur(coul):
    """fonction qui gère les couleurs"""
    
    if coul==0:
        color('red')
        fillcolor('red')
    elif coul ==1:
        color('blue')
        fillcolor('blue')
    else:
        color('green')
        fillcolor('green')
        
def corps(c,e):
    """fonction qui trace le corps du moulin"""
    width(e)
    color('black')
    up()
    goto(-c//2,c//2)
   
    down()
    right(90)
    circle(c//2,-180)
    right(180)
    goto(c//2+10,-3*c//2)
    goto(-c//2-10,-3*c//2)
    goto(-c//2,c//2)
    up()
    goto(0,0)
    down()
    
 ########################### partie à compléter ############################"   
        
def ailes(cote,angle,epaisseur): 
    width(....) #code à compléter
    goto(0,0)
    left(....)  #code à compléter
    
    
    for compteur in range(.....):  #code à compléter
        begin_fill()
        couleur(......)  #code à compléter
        triequ(cote)
        end_fill() 
        triequ(1.2*cote)
        left(....)  #code à compléter
        
    
        
def tourne(v,cote,epaisseur1,epaisseur2):
    """fonction qui
construit le corps du moulin de longueur cote et d'épaisseur de trait epaisseur1.
construit les ailes de longueur cote , d'angle a avec l'horizontale et d'épaisseur de trait epaisseur2
et qui fait tourner le moulin à une vitesse v"""
    
    a=0 
    for k in range(37):
        clearscreen()

       ###########################
       #                         #
       #   code à compléter      #
       #                         #
       ###########################
             
        
        a = a + 10
        
#programme principal
hideturtle()
#code à compléter



